Subject: Re: bug#14075: 24.3.50; Escaped parentheses break sh-mode indentation

From: Josh <[email-masked]>
Date: Thu, 28 Mar 2013 10:21:17 -0700

On Thu, Mar 28, 2013 at 9:39 AM, Christopher Schmidt
<[email-masked]> wrote:
> I think this is a duplicate of #13161.
>
>         Christopher

Yes, I somehow missed that and Emacs does correctly indent the script
when I employ Stefan's suggested workaround, i.e. `` find . "(" -name
foo -prune ")" -o "(" -type f -name 'bar*' ")" -print0 | xargs -0
somecmd '' so I'll go ahead and close this.

Stefan, can you explain why this won't be fixed anytime soon?  I've
been using \( ... \) in find invocations for a million years, give or
take, and I expect it will take not a little effort to habituate
myself to quoting parentheses this way.